Bug 22816 - OPAC detail holdings table doesn't fill it's container
Summary: OPAC detail holdings table doesn't fill it's container
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Target Milestone: ---
Assignee: Liz Rea
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-05-01 00:28 UTC by Liz Rea
Modified: 2019-05-30 14:33 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.05.00, 18.11.06


Attachments
Bug 22816: OPAC detail holdings table should now look a bit better (1.96 KB, patch)
2019-05-01 00:35 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 22816: OPAC detail holdings table should now look a bit better (2.00 KB, patch)
2019-05-03 19:31 UTC, Bin Wen
Details | Diff | Splinter Review
Bug 22816: OPAC detail holdings table should now look a bit better (2.04 KB, patch)
2019-05-03 19:49 UTC, Arthur Bousquet
Details | Diff | Splinter Review
Bug 22816: OPAC detail holdings table should now look a bit better (2.10 KB, patch)
2019-05-04 07:58 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Liz Rea 2019-05-01 00:28:25 UTC
it could fit better, so let's make it so.
Comment 1 Liz Rea 2019-05-01 00:35:17 UTC
Created attachment 89158 [details] [review]
Bug 22816: OPAC detail holdings table should now look a bit better

This patch sets the "autowidth" option to "false" for the OPAC
holdings DataTable on opac-detail.pl. This gives the table a fluid
width rather than having the width be "hard-coded" by DataTables upon
first page render.

To test, apply the patch and view the detail page for a bibliographic
record with some items. Under the "Holdings" tab, the table of
holdings should fill the width of the tab container.

Resize the browser window and confirm that the table width adjusts
accordingly.

thanks to Owen Leonard for the initial fix for the subscriptions table and the test plan.
Comment 2 Bin Wen 2019-05-03 19:31:04 UTC
Created attachment 89326 [details] [review]
Bug 22816: OPAC detail holdings table should now look a bit better

This patch sets the "autowidth" option to "false" for the OPAC
holdings DataTable on opac-detail.pl. This gives the table a fluid
width rather than having the width be "hard-coded" by DataTables upon
first page render.

To test, apply the patch and view the detail page for a bibliographic
record with some items. Under the "Holdings" tab, the table of
holdings should fill the width of the tab container.

Resize the browser window and confirm that the table width adjusts
accordingly.

Signed-off-by: Bin Wen <bin.wen@inlibro.com>
Comment 3 Arthur Bousquet 2019-05-03 19:49:41 UTC
Created attachment 89328 [details] [review]
Bug 22816: OPAC detail holdings table should now look a bit better

This patch sets the "autowidth" option to "false" for the OPAC
holdings DataTable on opac-detail.pl. This gives the table a fluid
width rather than having the width be "hard-coded" by DataTables upon
first page render.

To test, apply the patch and view the detail page for a bibliographic
record with some items. Under the "Holdings" tab, the table of
holdings should fill the width of the tab container.

Resize the browser window and confirm that the table width adjusts
accordingly.

Signed-off-by: Bin Wen <bin.wen@inlibro.com>
Signed-off-by: arthur <arthur.bousquet@inlibro.com>
Comment 4 Arthur Bousquet 2019-05-03 20:10:59 UTC
The bug isn't present in Firefox 67.0b16 but is in Chrome 74.0.3729.131
The patch works for this version of Chrome an doesn't change anything in Firefox
Comment 5 Chris Cormack 2019-05-04 07:58:14 UTC
Created attachment 89351 [details] [review]
Bug 22816: OPAC detail holdings table should now look a bit better

This patch sets the "autowidth" option to "false" for the OPAC
holdings DataTable on opac-detail.pl. This gives the table a fluid
width rather than having the width be "hard-coded" by DataTables upon
first page render.

To test, apply the patch and view the detail page for a bibliographic
record with some items. Under the "Holdings" tab, the table of
holdings should fill the width of the tab container.

Resize the browser window and confirm that the table width adjusts
accordingly.

Signed-off-by: Bin Wen <bin.wen@inlibro.com>
Signed-off-by: arthur <arthur.bousquet@inlibro.com>
Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>
Comment 6 Nick Clemens 2019-05-07 12:03:13 UTC
Awesome work all!

Pushed to master for 19.05
Comment 7 Martin Renvoize 2019-05-08 15:49:59 UTC
Pushed to 18.11.x for 18.11.06
Comment 8 Lucas Gass 2019-05-30 14:33:27 UTC
backported to 18.05.x for 18.05.13